## AgsApplySFZInstrument

AgsApplySFZInstrument — apply SFZ synth template

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsApplySFZInstrument * | ags_apply_sfz_instrument_new ()

## Properties

gpointer | synth | Read / Write
gpointer | synth-template | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsApplySFZInstrument

## Includes

    #include <ags/audio/task/ags_apply_sfz_instrument.h>

## Description

The AgsApplySFZInstrument task apply the specified SFZ synth template.

## Functions

### ags_apply_sfz_instrument_new ()

    AgsApplySFZInstrument *
    ags_apply_sfz_instrument_new (AgsSFZSynthUtil *synth_template,
                                  AgsSFZSynthUtil *synth);

Creates an AgsApplySFZInstrument.

#### Parameters

synth_template | the synth template |
synth | the synth |

#### Returns

an new AgsApplySFZInstrument.

Since: 3.17.0

## Property Details

### The `“synth”` property

      “synth”                    gpointer

The synth to apply.

Owner: AgsApplySFZInstrument

Flags: Read / Write

Since: 3.17.0

### The `“synth-template”` property

      “synth-template”           gpointer

The synth template to apply.

Owner: AgsApplySFZInstrument

Flags: Read / Write

Since: 3.17.0